スプラッシュページ
GET https://aka.so/api/splash-pages/
curl --request GET \
--url 'https://aka.so/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| パラメーター | 詳細 | 説明 |
|---|---|---|
| search | 任意 文字列 | 検索文字列 |
| search_by | 任意 文字列 | 検索対象のフィールドを指定してください。指定可能な値は name です。 |
| datetime_field | 任意 文字列 | 有効な値: datetime, last_datetime |
| datetime_start | 任意 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 任意 文字列 | この日時までの結果をフィルタリングします。Y-m-d H:i:s 形式。 |
| order_by | 任意 文字列 | 結果を並べ替えるフィールド。指定可能な値: splash_page_id, datetime, last_datetime, name |
| order_type | 任意 文字列 | 結果のソート順。指定可能な値は、昇順の場合はASC、降順の場合はDESCです。 |
| page | 任意 整数 | 結果を取得するページ番号。デフォルトは1です。 |
| results_per_page | 任意 整数 | 1ページあたりの表示件数。指定可能な値: 10, 25, 50, 100, 250, 500, 1000。デフォルト値: 25。 |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-10-18 08:49:25",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://aka.so/api/projects?page=1",
"last": "https://aka.so/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://aka.so/api/projects?page=1"
}
}
GET https://aka.so/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://aka.so/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-10-18 08:49:25",
}
}
POST https://aka.so/api/projects
| パラメーター | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
| title | 任意 文字列 | - |
| logo | 任意 ファイル | - |
| favicon | 任意 ファイル | - |
| opengraph | 任意 ファイル | - |
| description | 任意 文字列 | - |
| secondary_button_name | 任意 文字列 | - |
| secondary_button_url | 任意 文字列 | - |
| custom_css | 任意 文字列 | - |
| custom_js | 任意 文字列 | - |
| ads_header | 任意 文字列 | - |
| ads_footer | 任意 文字列 | - |
| link_unlock_seconds | 任意 整数 | - |
| auto_redirect | 任意 真偽値 | - |
curl --request POST \
--url 'https://aka.so/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://aka.so/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://aka.so/api/splash-pages/{splash_page_id}
| パラメーター | 詳細 | 説明 |
|---|---|---|
| name | 任意 文字列 | - |
| title | 任意 文字列 | - |
| logo | 任意 ファイル | - |
| favicon | 任意 ファイル | - |
| opengraph | 任意 ファイル | - |
| description | 任意 文字列 | - |
| secondary_button_name | 任意 文字列 | - |
| secondary_button_url | 任意 文字列 | - |
| custom_css | 任意 文字列 | - |
| custom_js | 任意 文字列 | - |
| ads_header | 任意 文字列 | - |
| ads_footer | 任意 文字列 | - |
| link_unlock_seconds | 任意 整数 | - |
| auto_redirect | 任意 真偽値 | - |
curl --request POST \
--url 'https://aka.so/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://aka.so/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://aka.so/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://aka.so/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \